# /etc/profile.d/local.sh 
# Local additions to /etc/profile to simulate Teaching System environment
# This should be kept to the bare minimum every user needs.
eval `/usr/local/bin/aliasid -c -s`
export CRSID

sh_help() { builtin help $*; }
help() { /usr/local/bin/help $*; }
        no_proxy=eng.cam.ac.uk
        export no_proxy
if [ `id -u` -gt 1000 ]; then
        umask 077
fi

# Set the TIMEZONE      
if [ -r /etc/TIMEZONE ]
then
	. /etc/TIMEZONE      
else
	TZ=GMT0BST            # change this for local time.  
	export TZ
fi

stty erase '^?' intr '^C' susp '^Z' kill '^X'

#if touch $HOME                # timestamp for accounting purposes
#then :; else
#   tfile=/tmp/p.log.$$
#   echo Home dir failure for $USER > $tfile
#   echo '--------------------------------------------------------------------------\nEnvironment:' >> $tfile
#   env >> $tfile
#   echo '--------------------------------------------------------------------------\npwd: \c' >> $tfile
#   pwd >> $tfile
#   echo 'tty: \c' >> $tfile
#   tty >> $tfile
#   echo '--------------------------------------------------------------------------\nMount:' >> $tfile
#   /usr/sbin/mount >> $tfile
#   echo '--------------------------------------------------------------------------\nUsers:'>> $tfile
#   who >> $tfile
##   mailx -s "login failure report" sysman < $tfile
#   rm -f $tfile
#fi

MAILHOME=/mount/mail
homecomp1=`echo ~ | cut -d/ -f2`
homecomp2=`echo ~ | cut -d/ -f3`
if [ "$homecomp1" = "mount" ]
then 
	MAILHOME=$MAILHOME/$homecomp1/$homecomp2/$USER
else
	MAILHOME=$MAILHOME/$homecomp2/$USER
fi
if [ -w "$MAILHOME" ]; then
	touch $MAILHOME               # timestamp for finger user@mail-serv
fi


# Message of the day.  Global
if [ -r /export/motd ]
then
	cat /export/motd
fi

# Linux specific.
if [ -r /export/linux.motd ]
then
	cat /export/linux.motd
fi

# Local to machine.
if [ -f /usr/local/etc/local.motd ]
then
        cat /usr/local/etc/local.motd
fi

#if [ -x /usr/local/bin/quotatest -a /usr/local/bin/quotatest ]
#then
#	[ -f /export/help/.quotawarn ] && cat /export/help/.quotawarn &&
#		echo 'Press Return to continue...\c' && read dum
#fi

# Notify if there is mail
if [ ${LOGNAME:-$USER} != "root" ]; then
	if [ -f /bin/mail -a -x /usr/local/bin/hermes-or-eng-init-mailtest ]
	then
		/usr/local/bin/hermes-or-eng-init-mailtest
	fi
#        if [ -f /usr/local/bin/hermes-initpull ]; then
#                /usr/local/bin/hermes-initpull
#        fi

# Sysnews
	if [ -f /usr/local/bin/checksysnews ]; then
		if /usr/local/bin/checksysnews ; then  
			echo There is new system news, use "sysnews" to read
		fi
	else
		if [ -f /usr/local/bin/sysnews ]; then
			/usr/local/bin/sysnews -c
		fi
	fi
fi

## Notify if there is news
#       if [ -f /usr/bin/news ]
#       then news -n
#       fi

# Leave defaults in user environment.
trap 1 2 3		   

# If no user .profile, run system one.
if [ ! -r $HOME/.profile ]
then
  . /usr/local/etc/d.profile
fi
