# CUED default .profile for /bin/sh, /bin/bash or /bin/ksh initialization.
# Executed if user has no .profile in his/her home directory

# /usr/local/etc/d.profile

# Set up the search path:
# /usr/bin/X11 is a link to /usr/X11R6/bin
PATH=$HOME/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/opt/gnome/bin:/opt/kde3/bin
export PATH

# Set up the terminal:
        if [ "${TERM:=}" = "" ]
        then
                eval ` tset -s -Q `
        fi

stty hupcl ixon ixoff
stty intr '^C' susp '^Z' quit '^\' eof '^D' kill '^X' erase '^?'
echo

# Set up the shell environment:
set -u 

export PS2="> "
export EDITOR=emacs
export LANG=C
export NLSPATH=/usr/x/lib/%Nmessages/%l
export NNTPSERVER=`</usr/local/lib/news/server`  # for lynx and Mosaic

# Korn Shell command history file
if [ ! -d $HOME/.ksh_history ]
then
   rm -f .ksh_history
   mkdir .ksh_history
fi
export HISTFILE=$HOME/.ksh_history/$(hostname)
export HISTSIZE=128

if [ "$SHELL" = "/bin/ksh" ]
then
  # define Korn shell startup file
  if [ -r $HOME/.kshrc ]
  then ENV=$HOME/.kshrc 
  else ENV=/usr/local/etc/d.kshrc
  fi 
  export ENV
fi

# clear screen on logout
trap "clear" 0

# Don't treat unset environment variables as an error on evaluation
set +u

# limit cputime to 1 day.
ulimit -t 86400

# make quota not report on filesystems not running quota
alias quota='quota -Q'
